Deliver to Consumer Inbox

POSThttps://sandbox-api.truthlocks.com/v1/consumer/inbox/deliverAuth required

Deliver an attestation to a consumer's inbox by email. If the consumer exists, the credential is delivered immediately. If the consumer hasn't signed up yet, the delivery is stored as pending and automatically claimed when they register. Requires issuer (tenant console) authentication.

Body Parameters

attestation_idstringrequired

UUID of the attestation to deliver

Defaults to 990e8400-e29b-41d4-a716-446655440004

consumer_referencestringrequired

Consumer's email address

Defaults to jane@example.com

safe_metadataobject

Non-sensitive metadata to display in the inbox (e.g. schema name, issuer name)

Responses

{
  "status": "delivered",
  "id": "770e8400-e29b-41d4-a716-446655440002"
}
POST/v1/consumer/inbox/deliver
Language
CredentialsHEADER
Authorization
cURL Request
Examples ▾
curl --request POST \
  --url https://sandbox-api.truthlocks.com/v1/consumer/inbox/deliver \
  --header 'accept: application/json' \
  --header 'content-type: application/json' \
  --data '{
  "attestation_id": "990e8400-e29b-41d4-a716-446655440004",
  "consumer_reference": "jane@example.com"
}'
Response

Click Try It! to send a real request, or view sample responses: